Archive Price
curl --request DELETE \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/payments/prices/{priceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/payments/prices/{priceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/payments/prices/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"unitAmount": 2,
"mode": "one_time",
"interval": "day",
"intervalCount": 183,
"active": true,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}customerPayments
Archive Price
Archive an immutable price. Existing subscriptions remain valid.
DELETE
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
payments
/
prices
/
{priceId}
Archive Price
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Query Parameters
Environment slug. Defaults to "production"; unknown environment slugs return 404.
Pattern:
^[a-z][a-z0-9-]{0,38}$Response
Archived price.
Pattern:
^[a-z]{3}$Required range:
x >= 1Available options:
one_time, subscription Available options:
day, week, month, year, null Required range:
1 <= x <= 365At most 20 application-defined string entries.
Show child attributes
Show child attributes